﻿Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Shared.Styles
Imports Infragistics.UltraChart.Core.Primitives

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        UltraChart1.ChartType = ChartType.LineChart

        UltraChart1.LineChart.DrawStyle = LineDrawStyle.Solid

        Dim seriesA As NumericSeries = GetSerriesA()
        Dim seriesB As NumericSeries = GetSerriesB()
        UltraChart1.Series.Add(seriesA)
        UltraChart1.Series.Add(seriesB)
        UltraChart1.Series.DataBind()

        UltraChart1.LineChart.Thickness = 6

    End Sub

    Private Function GetSerriesA() As NumericSeries
        Dim series As New NumericSeries()
        series.Label = "Series A"

        series.Points.Add(New NumericDataPoint(1, "Point A", False))
        series.Points.Add(New NumericDataPoint(4, "Point B", False))
        series.Points.Add(New NumericDataPoint(10, "Point C", False))
        series.Points.Add(New NumericDataPoint(25, "Point D", False))
        series.Points.Add(New NumericDataPoint(22, "Point E", False))
        Return series
    End Function

    Private Function GetSerriesB() As NumericSeries
        Dim series As New NumericSeries()
        series.Label = "Series B"

        series.Points.Add(New NumericDataPoint(1, "Point A", False))
        series.Points.Add(New NumericDataPoint(5, "Point B", False))
        series.Points.Add(New NumericDataPoint(12, "Point C", False))
        series.Points.Add(New NumericDataPoint(15, "Point D", False))
        series.Points.Add(New NumericDataPoint(22, "Point E", False))
        Return series
    End Function

    Private Sub UltraChart1_ChartDrawItem(sender As Object, e As Infragistics.UltraChart.Shared.Events.ChartDrawItemEventArgs) Handles UltraChart1.ChartDrawItem
        Dim line As Polyline = TryCast(e.Primitive, Polyline)
        If (line IsNot Nothing AndAlso line.Series IsNot Nothing) Then
            Select Case line.Series.Key
                Case "series1"
                    line.PE.Fill = Color.Red
                    line.PE.FillOpacity = 40
                    Exit Select
                Case "series2"
                    line.PE.Fill = Color.Green
                    line.PE.FillOpacity = 150
                    Exit Select
                Case Else
                    Exit Select
            End Select
        End If
    End Sub
End Class
